Package be.fgov.ehealth.rn.baselegaldata.v1

# Class NationalityInfoDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class NationalityInfoDeclarationType extends Object implements Serializable
Type describing the NationalityInfo part of the person information to be provided by the customer

Java class for NationalityInfoDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalityInfoDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NationalityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityCodeType" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ExpiryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NationalityInfoDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getExpiryDate()`
  Gets the value of the expiryDate property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `Integer`
  `getNationalityCode()`
  Gets the value of the nationalityCode property.
  `void`
  `setExpiryDate(Instant value)`
  Sets the value of the expiryDate property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setNationalityCode(Integer value)`
  Sets the value of the nationalityCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NationalityInfoDeclarationType

    public NationalityInfoDeclarationType()

- ## Method Details

  - ### getNationalityCode

    public Integer getNationalityCode()
    Gets the value of the nationalityCode property.
    Returns:
      possible object is `Integer`

  - ### setNationalityCode

    public void setNationalityCode(Integer value)
    Sets the value of the nationalityCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getExpiryDate

    public Instant getExpiryDate()
    Gets the value of the expiryDate property.
    Returns:
      possible object is `String`

  - ### setExpiryDate

    public void setExpiryDate(Instant value)
    Sets the value of the expiryDate property.
    Parameters:
      `value` - allowed object is `String`